Package com.sun.speech.freetts.en

# Class PartOfSpeechTagger

java.lang.Object
com.sun.speech.freetts.en.PartOfSpeechTagger

All Implemented Interfaces:
  `UtteranceProcessor`

public class PartOfSpeechTagger extends Object implements UtteranceProcessor
Tags the words in the utterance with their part-of-speech. Currently this does nothing.

## Constructor Summary

Constructors
Constructor
Description
`PartOfSpeechTagger()`
Constructs a PartOfSpeechTagger

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Tags the utterance with part-of-speech information.
`String`
`toString()`
Returns the string representation of the object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PartOfSpeechTagger

public PartOfSpeechTagger()
Constructs a PartOfSpeechTagger

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Tags the utterance with part-of-speech information. Currently this processor does nothing.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to process/tokenize
Throws:
  `ProcessException` - if an error occurs while processing of the utterance

### toString

public String toString()
Returns the string representation of the object

Overrides:
  `toString` in class `Object`
Returns:
  the string representation of the object